##*************************************************************************##
##  CUBE        http://www.scalasca.org/                                   ##
##*************************************************************************##
##  Copyright (c) 1998-2021                                                ##
##  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          ##
##                                                                         ##
##  Copyright (c) 2009-2015                                                ##
##  German Research School for Simulation Sciences GmbH,                   ##
##  Laboratory for Parallel Programming                                    ##
##                                                                         ##
##  This software may be modified and distributed under the terms of       ##
##  a BSD-style license.  See the COPYING file in the package base         ##
##  directory for details.                                                 ##
##*************************************************************************##


#
#
# Simple check for mpirun to make backend examples and tests running under mpi.

AC_DEFUN([AC_SCOREP_FRONTEND_EXAMPLES],
[


AS_IF([test "x$WITH_JAVA_READER" = "xyes"],[
    JAVA_FRONTEND_EXAMPLES_SRC="jcuber_example.java"
    JAVA_FRONTEND_EXAMPLES_EXE="jcuber_example.java.class"
    JAVA_FRONTEND_EXAMPLES_RUN="jcuber_example"
])



    AC_SUBST([JAVA_FRONTEND_EXAMPLES_SRC])
    AC_SUBST([JAVA_FRONTEND_EXAMPLES_EXE])
    AC_SUBST([JAVA_FRONTEND_EXAMPLES_RUN])



])


AC_DEFUN([AC_CUBE_EXAMPLES],
[
    AC_SCOREP_FRONTEND_EXAMPLES
])
