##*************************************************************************##
##  CUBE        http://www.scalasca.org/                                   ##
##*************************************************************************##
##  Copyright (c) 1998-2022                                                ##
##  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          ##
##                                                                         ##
##  Copyright (c) 2009-2015                                                ##
##  German Research School for Simulation Sciences GmbH,                   ##
##  Laboratory for Parallel Programming                                    ##
##                                                                         ##
##  This software may be modified and distributed under the terms of       ##
##  a BSD-style license.  See the COPYING file in the package base         ##
##  directory for details.                                                 ##
##*************************************************************************##




AC_DEFUN([AC_SCOREP_CONFIG_SELECTION_REPORT], [

XEND=$1



AS_IF([test "x$XEND" = "xfrontend" || test "x$CROSS_BUILD" != "xyes" ],[


AFS_SUMMARY([Cube Java Reader], [$WITH_JAVA_READER] )
AS_IF( [test "x$WITH_JAVA_READER" = "xyes" ], [
AFS_SUMMARY([  Java compiler], [$JAVAC] )
AFS_SUMMARY([  Java compiler path], [$JAVACPATH] )

AFS_SUMMARY([  Jar creator], [$JAR] )
AFS_SUMMARY([  Jar creator path], [$JARPATH] )

AFS_SUMMARY([  SAX Parser], [$JXERCES_FULL] )
])

])  # XEND


])








AC_DEFUN([AC_SCOREP_CUBE_FRONTEND_SELECTION], [
AC_SCOREP_CUBE_INITIALIZE_FRONTEND_SELECTION
AC_SCOREP_JAVA_READER_OPTION
AC_CUBE_TESTS
])





AC_DEFUN([AC_SCOREP_CUBE_INITIALIZE_FRONTEND_SELECTION], [
WITH_JAVA_READER="yes"
])






AC_DEFUN([AC_SCOREP_CONFIGURE_STATUS_REPORT], [
AS_IF([test "x${afs_externally_triggered}" != xyes],
    [AC_MSG_NOTICE([----------------------------------------------------------------------------])
     AC_MSG_NOTICE([])
     AC_MSG_NOTICE([For further steps you can do:])
     AC_MSG_NOTICE(["make"            - to compile and to build selected components of Cube.])
     AC_MSG_NOTICE([])
     AC_MSG_NOTICE(["make install"    - to install selected components of Cube. ])
     AC_MSG_NOTICE([])
     AC_MSG_NOTICE([])
     AC_MSG_NOTICE([----------------------------------------------------------------------------])
     AC_MSG_NOTICE([])
     AC_MSG_NOTICE([===========================================================================])
    ])
])
