/****************************************************************************
**  CUBE        http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 1998-2018                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  Copyright (c) 2009-2015                                                **
**  German Research School for Simulation Sciences GmbH,                   **
**  Laboratory for Parallel Programming                                    **
**                                                                         **
**  Copyright (c) 2011                                                     **
**  University of Oregon, Eugene, USA                                      **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/



package scalasca.cubex.cube;
import java.lang.String;
/*
 * Class , delivers file structure of CubeX
 *
 */
public class Thread extends Location
{
    public Thread()
    {
        super( );
    }
    public Thread( int _id, LocationGroup _parent )
    {
        super( _id, _parent );
    }
    public Thread( int _id, long _rank, LocationGroup _parent )
    {
        super( _id, _rank, LocationType.CPU_THREAD, _parent );
    }
    public Thread( int _id, long _rank, String _name, LocationGroup _parent )
    {
        super( _id, _rank, _name, LocationType.CPU_THREAD,  _parent );
    }
    public Thread( Location _clone, LocationGroup _parent )
    {
        super( _clone.getId(),
               _clone.getRank(),
               _clone.getName(),
               LocationType.CPU_THREAD,
               _parent
               );
    }
}
