/****************************************************************************
**  CUBE        http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 1998-2018                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  Copyright (c) 2009-2015                                                **
**  German Research School for Simulation Sciences GmbH,                   **
**  Laboratory for Parallel Programming                                    **
**                                                                         **
**  Copyright (c) 2011                                                     **
**  University of Oregon, Eugene, USA                                      **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/



package scalasca.cubex.cube.services.transformation;
import java.lang.*;
import java.math.BigInteger;
/*
 * Class , delivers file structure of CubeX
 *
 */
public abstract class Endianess implements EndianessCorrection
{
    public abstract char
    applyOn( char a );
    public abstract byte
    applyOn( byte a );
    public abstract short
    applyOn( short a );
    public abstract int
    applyOn( int a );
    public abstract long
    applyOn( long a );
    public abstract double
    applyOn( double a );
    public abstract Byte
    applyOn( Byte a  );
    public abstract Short
    applyOn( Short a );
    public abstract Integer
    applyOn( Integer a );
    public abstract Long
    applyOn( Long a );
    public abstract Double
    applyOn( Double a );

    public abstract byte[]
    applyOn( byte[] a );
}
